Retrieve a Taxon
Returns the details of a specified taxon.
GET
/
api
/
v2
/
storefront
/
taxons
/
{taxon_permalink}
Retrieve a Taxon
const options = {method: 'GET'};
fetch('https://demo.spreecommerce.org/api/v2/storefront/taxons/{taxon_permalink}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://demo.spreecommerce.org/api/v2/storefront/taxons/{taxon_permalink}{
"data": {
"id": "22",
"type": "taxon",
"attributes": {
"name": "Summer Sale",
"pretty_name": "Categories -> Summer Sale",
"permalink": "categories/summer-sale",
"seo_title": "Summer Sale",
"description": null,
"meta_title": null,
"meta_description": null,
"meta_keywords": null,
"left": 42,
"right": 43,
"position": 0,
"depth": 1,
"updated_at": "2021-10-02T11:03:15.118Z",
"is_root": false,
"is_child": true,
"is_leaf": true,
"localized_slugs": {
"en": "categories/summer-sale",
"de": "kategorien/sommerschlussverkauf",
"fr": "categories/soldes-dete"
}
},
"relationships": {
"parent": {
"data": {
"id": "1",
"type": "taxon"
}
},
"taxonomy": {
"data": {
"id": "1",
"type": "taxonomy"
}
},
"children": {
"data": []
},
"products": {
"data": [
{
"id": "76",
"type": "product"
},
{
"id": "92",
"type": "product"
},
{
"id": "112",
"type": "product"
},
{
"id": "15",
"type": "product"
},
{
"id": "86",
"type": "product"
},
{
"id": "52",
"type": "product"
},
{
"id": "78",
"type": "product"
},
{
"id": "36",
"type": "product"
},
{
"id": "93",
"type": "product"
},
{
"id": "73",
"type": "product"
},
{
"id": "83",
"type": "product"
},
{
"id": "7",
"type": "product"
},
{
"id": "95",
"type": "product"
},
{
"id": "8",
"type": "product"
},
{
"id": "59",
"type": "product"
},
{
"id": "28",
"type": "product"
},
{
"id": "41",
"type": "product"
},
{
"id": "66",
"type": "product"
},
{
"id": "10",
"type": "product"
},
{
"id": "12",
"type": "product"
},
{
"id": "21",
"type": "product"
},
{
"id": "111",
"type": "product"
},
{
"id": "48",
"type": "product"
},
{
"id": "46",
"type": "product"
},
{
"id": "5",
"type": "product"
},
{
"id": "71",
"type": "product"
},
{
"id": "103",
"type": "product"
},
{
"id": "20",
"type": "product"
},
{
"id": "62",
"type": "product"
},
{
"id": "64",
"type": "product"
}
]
},
"image": {
"data": null
}
}
}
}
Path Parameters
Specify the taxon using the permalink or taxon ID.
Query Parameters
Specify the related resources you would like to receive in the response body. More Information.
Specify the fields you would like returned in the response body. More information.
Was this page helpful?
⌘I
Retrieve a Taxon
const options = {method: 'GET'};
fetch('https://demo.spreecommerce.org/api/v2/storefront/taxons/{taxon_permalink}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://demo.spreecommerce.org/api/v2/storefront/taxons/{taxon_permalink}{
"data": {
"id": "22",
"type": "taxon",
"attributes": {
"name": "Summer Sale",
"pretty_name": "Categories -> Summer Sale",
"permalink": "categories/summer-sale",
"seo_title": "Summer Sale",
"description": null,
"meta_title": null,
"meta_description": null,
"meta_keywords": null,
"left": 42,
"right": 43,
"position": 0,
"depth": 1,
"updated_at": "2021-10-02T11:03:15.118Z",
"is_root": false,
"is_child": true,
"is_leaf": true,
"localized_slugs": {
"en": "categories/summer-sale",
"de": "kategorien/sommerschlussverkauf",
"fr": "categories/soldes-dete"
}
},
"relationships": {
"parent": {
"data": {
"id": "1",
"type": "taxon"
}
},
"taxonomy": {
"data": {
"id": "1",
"type": "taxonomy"
}
},
"children": {
"data": []
},
"products": {
"data": [
{
"id": "76",
"type": "product"
},
{
"id": "92",
"type": "product"
},
{
"id": "112",
"type": "product"
},
{
"id": "15",
"type": "product"
},
{
"id": "86",
"type": "product"
},
{
"id": "52",
"type": "product"
},
{
"id": "78",
"type": "product"
},
{
"id": "36",
"type": "product"
},
{
"id": "93",
"type": "product"
},
{
"id": "73",
"type": "product"
},
{
"id": "83",
"type": "product"
},
{
"id": "7",
"type": "product"
},
{
"id": "95",
"type": "product"
},
{
"id": "8",
"type": "product"
},
{
"id": "59",
"type": "product"
},
{
"id": "28",
"type": "product"
},
{
"id": "41",
"type": "product"
},
{
"id": "66",
"type": "product"
},
{
"id": "10",
"type": "product"
},
{
"id": "12",
"type": "product"
},
{
"id": "21",
"type": "product"
},
{
"id": "111",
"type": "product"
},
{
"id": "48",
"type": "product"
},
{
"id": "46",
"type": "product"
},
{
"id": "5",
"type": "product"
},
{
"id": "71",
"type": "product"
},
{
"id": "103",
"type": "product"
},
{
"id": "20",
"type": "product"
},
{
"id": "62",
"type": "product"
},
{
"id": "64",
"type": "product"
}
]
},
"image": {
"data": null
}
}
}
}

